<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
		<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="ospiPresentation">
<head><title><xsl:text>Resume&nbsp;of</xsl:text>&nbsp;<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/firstName"/>&nbsp;<xsl:if test="contactInformation/artifact/structuredData/contactInformation/middleName"><xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/middleName"/>&nbsp;</xsl:if><xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/lastName"/></title></head>
<xsl:if test="presentationFiles/CascadingStyleSheet">
	<link type="text/css" rel="stylesheet">
	<xsl:attribute name="href">
		<xsl:value-of select="presentationFiles/CascadingStyleSheet/artifact/fileArtifact/uri"/>
	</xsl:attribute>
	</link>
</xsl:if>
<xsl:if test="presentationFiles/JavascriptFile">
	<script type="text/javascript">
		<xsl:attribute name="src">
			<xsl:value-of select="presentationFiles/JavascriptFile/artifact/fileArtifact/uri"/>
		</xsl:attribute>
	// Content switching functions by Jack Letourneau, February 2002
	// www.eigengrau.com
	</script>
</xsl:if>
<table width="100%" border="0" cellspacing="0" cellpadding="2" id="MainContent">
<tr>
	<td>
		<table cellspacing="5" cellpadding="0" border="0">
		<tr>
		    <td colspan="2" class="sectionHeading">
				<xsl:choose>
				<xsl:when test="contactInformation">
					&nbsp;
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>Contact information missing!</xsl:text>
				</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	<xsl:if test="contactInformation">
		<tr>
		    <td rowspan="9" valign="top"><!-- Photo -->
			<xsl:if test="photo">
			<img WIDTH="200" HEIGHT="300" border="1" align="middle" class="contactImage">
				<xsl:attribute name="src"><xsl:value-of select="photo/artifact/fileArtifact/uri"/></xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/firstName"/>&nbsp;
					<xsl:if test="contactInformation/artifact/structuredData/contactInformation/middleName">
						<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/middleName"/>&nbsp;
					</xsl:if>
					<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/lastName"/>
				</xsl:attribute>
				</img>
			</xsl:if>
			</td>
		    <td class="templateName"><!-- Name -->
			<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/firstName"/>&nbsp;
				<xsl:if test="contactInformation/artifact/structuredData/contactInformation/middleName">
					<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/middleName"/>&nbsp;
				</xsl:if>
			<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/lastName"/>
			</td>
		</tr>
		<tr>
			<td colspan="2">
			<table cellspacing="3" cellpadding="0" border="0">
				<tr>
				    <td class="contactInfoLabel">Address:</td>
				    <td class="contactInfoData"><xsl:value-of select="//addressOne"/></td>
				</tr>
				<xsl:if test="//addressTwo">
				<tr>
				    <td class="contactInfoLabel">&nbsp;</td>
				    <td class="contactInfoData"><xsl:value-of select="//addressTwo"/></td>
				</tr>
				</xsl:if>
				<xsl:if test="//addressCity or //addressState or //addressZip">
				<tr>
				    <td class="contactInfoLabel">&nbsp;</td>
				    <td class="contactInfoData">
						<xsl:if test="//addressCity"><xsl:value-of select="//addressCity"/></xsl:if>
						<xsl:if test="//addressState">&nbsp;<xsl:value-of select="//addressState"/></xsl:if>
						<xsl:if test="//addressZip">&nbsp;<xsl:value-of select="//addressZip"/></xsl:if>
					</td>
				</tr>
				</xsl:if>
				<xsl:if test="//addressCountry">
				<tr>
				    <td class="contactInfoLabel">&nbsp;</td>
				    <td class="contactInfoData"><xsl:value-of select="//addressCountry"/></td>
				</tr>
				</xsl:if>
				</table>
			</td>
		</tr>
		<xsl:if test="//phoneNumbers">
		<tr>
			<td colspan="2">
			<table cellspacing="8" cellpadding="0" border="0">
				<tr>
				    <td class="contactInfoLabel">Phone Number(s):</td>
				    <td class="contactInfoLabel">Type:</td>
				</tr>
				<tr>
				    <td class="contactInfoData"><xsl:for-each select="//phoneNumbers/phoneNumber"><xsl:value-of select = "." /><br /></xsl:for-each></td>
				    <td class="contactInfoData"><xsl:for-each select="//phoneNumbers/phoneType"><xsl:value-of select = "." /><br /></xsl:for-each></td>
				</tr>
				</table>
			</td>
		</tr>
		</xsl:if>
		<xsl:if test="//emails">
		<tr>
			<td colspan="2">
			<table cellspacing="8" cellpadding="0" border="0">
				<tr>
				    <td class="contactInfoLabel">Email(s):</td>
				    <td class="contactInfoLabel">Type:</td>
				</tr>
				<tr>
				    <td class="contactInfoData"><xsl:for-each select="//emails/emailAddress"><a><xsl:attribute name="href">mailto:<xsl:value-of select = "." /></xsl:attribute><xsl:value-of select = "." /></a><br /></xsl:for-each></td>
				    <td class="contactInfoData"><xsl:for-each select="//emails/emailType"><xsl:value-of select = "." /><br /></xsl:for-each></td>
				</tr>
			</table>
			</td>
		</tr>
		</xsl:if>
	</xsl:if>
	
		</table>
	</td>
	<td valign="top" align="right" class="resumeSupport1">
		<xsl:choose>
			<xsl:when test="resume-supportPhoto or resume-support or resume-supportURL">
			<span class="sectionHeading">Supporting Materials</span><br />
			<form name="resumeSupport" id="resumeSupport" target="ospiMaterial">
				<xsl:attribute name="action">
					<xsl:choose>
						<xsl:when test="resume-supportPhoto">
							<xsl:value-of select="resume-supportPhoto/artifact/fileArtifact/uri"/>
						</xsl:when>
						<xsl:when test="resume-support">
							<xsl:value-of select="resume-support/artifact/fileArtifact/uri"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="resume-supportURL/artifact/structuredData/url"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
					<select id="fileSel" size="1" onChange="javascript:document.getElementById('resumeSupport').action=this.options[this.selectedIndex].value;">
					<xsl:if test="resume-supportPhoto">
						<xsl:for-each select="resume-supportPhoto/artifact">
							<option>
							<xsl:attribute name="value"><xsl:value-of select="fileArtifact/uri"/></xsl:attribute>
							<xsl:value-of select="metaData/displayName"/>
							</option>
						</xsl:for-each>
					</xsl:if>
					<xsl:if test="resume-support">
						<xsl:for-each select="resume-support/artifact">
							<option>
							<xsl:attribute name="value"><xsl:value-of select="fileArtifact/uri"/></xsl:attribute>
							<xsl:value-of select="metaData/displayName"/>
							</option>
						</xsl:for-each>
					</xsl:if>
					<xsl:if test="resume-supportURL">
						<xsl:for-each select="resume-supportURL/artifact/structuredData/url">
							<option>
							<xsl:attribute name="value"><xsl:value-of select="linkURL"/></xsl:attribute>
							<xsl:value-of select="linkURL"/>
							</option>
						</xsl:for-each>
					</xsl:if>
					</select>
					<input type="submit" value="View"/>
					</form>
			</xsl:when>
			<xsl:otherwise>
				&nbsp;
			</xsl:otherwise>
		</xsl:choose>
	</td>
	</tr>
	</table>
	
<table cellspacing="0" cellpadding="0" border="0" id="tabmenu">
<tbody>
<tr>
<td id="contentscell">
<br />


<!-- Objective section starts here -->
 <xsl:if test="//objective">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">Career Objectives</td></tr>
	</table>
	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="50%" class="table2Header1">Name of Objective</td>
	<td width="50%" class="table2Header2">Brief Description</td>
	</tr>
	<xsl:for-each select="objective/artifact/structuredData/objective">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "nameObjective" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "briefDescObjective" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>

<!-- Education section starts here -->
 <xsl:if test="//education">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">Education</td></tr>
	</table>

	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="20%" class="table2Header1">Institution</td>
	<td width="20%" class="table2Header1">Type of Degree</td>
	<td width="20%" class="table2Header1">Degree</td>
	<td width="20%" class="table2Header1">Date(s) of Degre</td>
	<td width="20%" class="table2Header2">Major/Minor</td>
	</tr>
	<xsl:for-each select="education/artifact/structuredData/education">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "institutionEducation" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "typeDegreeEducation" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "degreeEducation" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "dateDegreeEducation" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "majorMinorEducation" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>

<!-- Certification section starts here -->
 <xsl:if test="//certification">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">Certification</td></tr>
	</table>

	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="33%" class="table2Header1">Name of Certification</td>
	<td width="34%" class="table2Header1">Date(s) of Certification</td>
	<td width="33%" class="table2Header1">Certifying Institution</td>
	</tr>
	<xsl:for-each select="certification/artifact/structuredData/certification">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "nameCertification" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "dateCertification" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "certifyingInstitution" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>


<!-- Experience section starts here -->
 <xsl:if test="//experience">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">Experience</td></tr>
	</table>

	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="50%" class="table2Header1">Name of Experience</td>
	<td width="50%" class="table2Header1">Brief Description</td>
		</tr>
	<xsl:for-each select="experience/artifact/structuredData/experience">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "nameExperience" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "briefDescExperience" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>


<!-- Skill section starts here -->
 <xsl:if test="//skill">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">Skills</td></tr>
	</table>

	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="50%" class="table2Header1">Name of Skill</td>
	<td width="50%" class="table2Header1">Brief Description</td>
		</tr>
	<xsl:for-each select="skill/artifact/structuredData/skill">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "nameSkill" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "briefDescSkill" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>


<!-- Accomplishment section starts here -->
 <xsl:if test="//accomplishment">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">Accomplishments</td></tr>
	</table>

	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="33%" class="table2Header1">Name of Accomplishment</td>
	<td width="34%" class="table2Header1">Date(s) of Accomplishment</td>
	<td width="33%" class="table2Header1">Brief Description</td>
	</tr>
	<xsl:for-each select="accomplishment/artifact/structuredData/accomplishment">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "nameAccomplishment" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "dateAccomplishment" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "briefDescAccomplishment" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>


<!-- Professional Activity section starts here -->
 <xsl:if test="//professionalActivity">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">Professional Activities </td></tr>
	</table>

	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="33%" class="table2Header1">Name of Professional Activity</td>
	<td width="34%" class="table2Header1">Date(s) of Professional Activity</td>
	<td width="33%" class="table2Header1">Brief Description</td>
	</tr>
	<xsl:for-each select="professionalActivity/artifact/structuredData/professionalActivity">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "nameProActivity" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "dateProActivity" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "briefDescProActivity" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>


<!-- Membership section starts here -->
 <xsl:if test="//membership">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">Membership</td></tr>
	</table>

	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="50%" class="table2Header1">Name of Organization</td>
	<td width="50%" class="table2Header1">Date(s) of Membership</td>
		</tr>
	<xsl:for-each select="membership/artifact/structuredData/membership">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "nameMembership" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "dateMembership" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>


<!-- Language section starts here -->
 <xsl:if test="//language">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">Languages</td></tr>
	</table>

	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="50%" class="table2Header1">Name of Language</td>
	<td width="50%" class="table2Header1">Brief Description of Abilities</td>
		</tr>
	<xsl:for-each select="language/artifact/structuredData/language">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "nameLanguage" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "briefDescLanguage" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>


<!-- Interest section starts here -->
 <xsl:if test="//interest">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">Interests</td></tr>
	</table>

	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="50%" class="table2Header1">Name of Interest</td>
	<td width="50%" class="table2Header1">Brief Description</td>
		</tr>
	<xsl:for-each select="interest/artifact/structuredData/interest">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "nameInterest" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "briefDescInterest" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>



<!-- Honor section starts here -->
 <xsl:if test="//honor">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">Honors</td></tr>
	</table>

	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="33%" class="table2Header1">Name of Honor</td>
	<td width="34%" class="table2Header1">Date of Honor</td>
	<td width="33%" class="table2Header1">Awarding Organization</td>
	</tr>
	<xsl:for-each select="honor/artifact/structuredData/honor">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "nameHonor" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "dateHonor" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "organizationalCIHonor" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>


<!-- Additional information section starts here -->
 <xsl:if test="//additionalInformation">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">Additional information</td></tr>
	</table>

	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="50%" class="table2Header1">Name of Information </td>
	<td width="50%" class="table2Header1">Brief Description</td>
		</tr>
	<xsl:for-each select="additionalInformation/artifact/structuredData/additionalInformation">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "typeInformation" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "briefDescAddInfo" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>



<!-- Reference section starts here -->
 <xsl:if test="//reference">
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr><td class="sectionHeading">References</td></tr>
	</table>

	<table class="borderedTable" align="center" width="100%" border="0" cellpadding="3" cellspacing="0">
	<tr>
	<td width="50%" class="table2Header1">Name of Reference</td>
	<td width="50%" class="table2Header1">Reference Contect Information</td>
		</tr>
	<xsl:for-each select="reference/artifact/structuredData/reference">
		<xsl:sort />
		<tr class="evenRow">
		<td class="contentsData"><xsl:value-of select = "nameReference" />&nbsp;</td>
		<td class="contentsData"><xsl:value-of select = "contactReference" />&nbsp;</td>
		</tr>
	</xsl:for-each>
	</table>
	<br/>
      </xsl:if>


</td>
</tr>
<tr><td><br /><br /><br /></td></tr>
</tbody>
</table>
</xsl:template>
</xsl:stylesheet>



